Bug 479103 - phpldapadmin causes httpd process to segfault
phpldapadmin causes httpd process to segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 517000
  Show dependency treegraph
 
Reported: 2009-01-07 02:53 EST by Stjepan Gros
Modified: 2009-12-18 02:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:31:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stjepan Gros 2009-01-07 02:53:57 EST
Description of problem:
Apache segfaults after logging into phpldapadmin but before displaying initial post-login screen.

Version-Release number of selected component (if applicable):
httpd-2.2.10-2.x86_64
php-5.2.6-5.x86_64
php-ldap-5.2.6-5.x86_64
phpldapadmin-1.1.0.5-2.fc10.noarch

How reproducible:
Every time.

Steps to Reproduce:
1. Open initial login screen for phpldapadmin
2. enter username and password and press enter (or select authenticate)
  
Actual results:
Blank screen, while URL is http://localhost/ldapadmin/cmd.php

Expected results:
Either failed login screen, or initial screen with LDAP data.

Additional info:
Comment 1 Stjepan Gros 2009-01-26 02:27:05 EST
It seems that this is the same bug that also triggers bug https://bugzilla.redhat.com/show_bug.cgi?id=480500.
Comment 2 Joe Orton 2009-02-05 07:32:45 EST
bug 480500 is a bug in the script causing stack exhaustion.

Can you get a backtrace? 

# echo CoreDumpDirectory /tmp > /etc/httpd/conf.d/coredump.conf
# service httpd restart

reproduce the problem, then do

# gdb /usr/sbin/httpd /tmp/core.xxxxx
...
(gdb) bt
(gdb) bt.full

and attach the gdb output to this bug report.
Comment 3 Stjepan Gros 2009-02-06 03:39:44 EST
I was unable to produce core file, even after trying to modify ulimit (ulimit -c unlimited), disabling selinux, creating new directory and changing it's ownership and directly starting httpd (with httpd -k start).

When attaching to a process with gdb I got the same trace as in the bug 480500 but it's hard to get whole output because gdb does pagination and it's clumsy to get the whole trace in a file.
Comment 4 Bug Zapper 2009-11-18 05:41:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:31:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.